Subject: Re: bug#12135: 24.1.50; compatibility between compiled files in emacs-24.1 and 24.2

From: Stefan Monnier <[email-masked]>
Date: Thu, 09 Aug 2012 10:44:06 -0400

>> In any case, I think I found the culprit: the old CL's `loop' used
>> cl-map-keymap-recursively internally for `key-seqs', which I renamed to
>> cl--map-keymap-recursively but forgot to add a compatibility alias.
>> Should be fixed now, thank you,
> No, not yet unfortunately.

Please be specific.

> Also I have another error if I don't recompile as said in precedent
> post, here the backtrace:
> --8<---------------cut here---------------start------------->8---
> Debugger entered--Lisp error: (void-function tty-top-frame)

That's for a file compiled with Emacs-trunk and then run in Emacs≤24.1.
As already mentioned, we do not really try to make this case work.
Always byte-compile on the oldest Emacs on which you want to run
the code.

        Stefan